noinst_LTLIBRARIES = libpsmoduleobjects.la

libpsmoduleobjects_la_CPPFLAGS = $(SRCINC) $(PSMODULE_CFLAGS)
libpsmoduleobjects_la_LDFLAGS  = -release $(PACKAGE_VERSION)
libpsmoduleobjects_la_SOURCES  = \
    pmObjects.c \
    pmPSF.c \
    pmPSFtry.c \
    pmModelGroup.c \
    psModulesUtils.c \
    psLibUtils.c \
    psEllipse.c

EXTRA_DIST = \
	models/pmModel_GAUSS.c \
	models/pmModel_PGAUSS.c \
	models/pmModel_QGAUSS.c \
	models/pmModel_SGAUSS.c 
    
psmoduleincludedir = $(includedir)
psmoduleinclude_HEADERS = \
    pmObjects.h \
    pmPSF.h \
    pmPSFtry.h \
    pmModelGroup.h \
    psModulesUtils.h \
    psLibUtils.h \
    psEllipse.h
